Bug 590195 - dracut produces ERROR modinfo on modules not found when using livecd-creator from livecd-tools and eventually dies with Signal 11 (SIGSEGV)
dracut produces ERROR modinfo on modules not found when using livecd-creator ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 22:50 EDT by Jasper O'neal Hartline
Modified: 2010-11-16 04:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-16 04:56:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error 4 in libc-2.11.so while using dracut -H host only initramfs creation in VirtualBox results in Signal 11 (230.61 KB, image/png)
2010-05-10 15:50 EDT, Jasper O'neal Hartline
no flags Details
modinfo core dump (860.00 KB, application/octet-stream)
2010-05-14 06:34 EDT, Jasper O'neal Hartline
no flags Details

  None (edit)
Description Jasper O'neal Hartline 2010-05-07 22:50:26 EDT
Description of problem:
When using dracut from a kickstart file, used with livecd-creator from livecd-tools package when I re-rcreate a host only initramfs with dracut in the %post section of the kickstart file, dracut produces these messages:

  Installing: dracut                       ##################### [158/160] 
  Installing: syslinux                     ##################### [159/160] 
  Installing: kernel                       ##################### [160/160] 
W: Possible missing firmware ql8100_fw.bin for module qla2xxx.ko
W: Possible missing firmware ql2500_fw.bin for module qla2xxx.ko
W: Possible missing firmware ql2400_fw.bin for module qla2xxx.ko
W: Possible missing firmware ql2322_fw.bin for module qla2xxx.ko
W: Possible missing firmware ql2300_fw.bin for module qla2xxx.ko
W: Possible missing firmware ql2200_fw.bin for module qla2xxx.ko
W: Possible missing firmware ql2100_fw.bin for module qla2xxx.ko
W: Possible missing firmware aic94xx-seq.fw for module aic94xx.ko

authconfig: Authentication module /lib/security/pam_fprintd.so is missing. Authentication process might not work correctly.
authconfig: Authentication module /lib/security/pam_pkcs11.so is missing. Authentication process might not work correctly.
Removing password for user root.
passwd: Success
sed: can't read /etc/selinux/config: No such file or directory
rm: cannot remove directory `/var/cache/yum': Device or resource busy
ERROR: modinfo: could not find module vboxnetadp
ERROR: modinfo: could not find module vboxnetflt
ERROR: modinfo: could not find module vboxdrv
xargs: modinfo: terminated by signal 11


------------- END output from DRACUT ----------------
Notice that livecd-creator bind mounts  the host system's /proc directory
into it's fakeroot directories in /var:

[root@localhost sqlzma]# mount
/dev/sda2 on / type ext3 (rw)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
tmpfs on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
/dev/loop1 on /var/tmp/imgcreate-vNSW01/install_root type ext3 (rw)
/sys on /var/tmp/imgcreate-vNSW01/install_root/sys type none (rw,bind)
/proc on /var/tmp/imgcreate-vNSW01/install_root/proc type none (rw,bind)
/dev/pts on /var/tmp/imgcreate-vNSW01/install_root/dev/pts type none (rw,bind)
/dev/shm on /var/tmp/imgcreate-vNSW01/install_root/dev/shm type none (rw,bind)
/tmp/livecd-cache on /var/tmp/imgcreate-vNSW01/install_root/var/cache/yum type none (rw,bind)
[root@localhost sqlzma]#


This causes the loaded host modules to not return information from the installed livecd-creator kernel kernel tree to modinfo producing the first set of messages for vboxnetadp vboxdrv and vboxnetflt

That and the final signal 11 (SIGSEGV) message from xargs and modinfo

Since we are buckling down to make livecd-creator once again maintained and bug fixed I would like you opinion on how we should handle this problem.
The kernel livecd-creator will install won't always be the same as the host systems, and using the -H host only flag with external modules loaded seems to produce these messages. I can assume it would do the same creating a host only initramfs where modules are loaded that are not in the kernel tree.

Can we do something simple here, and check modinfo return instead of reporting
messages for modules which don't exist in the tree?

Below relevant /proc/modules file and dracut-functions snippet:
[root@localhost dracut]# cat /proc/modules
vboxnetadp 5434 0 - Live 0xf7d1c000
vboxnetflt 10753 0 - Live 0xf7cd2000
vboxdrv 137011 2 vboxnetadp,vboxnetflt, Live 0xf8a07000
ipv6 223810 18 - Live 0xf89ce000
tg3 89954 0 - Live 0xf7ce6000
i2c_nforce2 5575 0 - Live 0xf7c55000
k8temp 2815 0 - Live 0xf7c3b000
ata_generic 2399 0 - Live 0xf8861000
pata_acpi 2303 0 - Live 0xf7ffe000
usb_storage 34386 0 - Live 0xf882f000
sata_nv 16524 2 - Live 0xf880f000
pata_amd 7613 0 - Live 0xf8802000
nouveau 291973 2 - Live 0xf7d45000
ttm 40269 1 nouveau, Live 0xf7cda000
drm_kms_helper 22251 1 nouveau, Live 0xf7cbe000
drm 134966 4 nouveau,ttm,drm_kms_helper, Live 0xf7c85000
i2c_algo_bit 4073 1 nouveau, Live 0xf7c52000
i2c_core 21732 5 i2c_nforce2,nouveau,drm_kms_helper,drm,i2c_algo_bit, Live 0xf7c41000
[root@localhost dracut]# cat dracut-functions | grep modinfo
    for fw in $(modinfo -k $kernel -F firmware $1 2>/dev/null); do
	filtercmd='cut -d " " -f 1 </proc/modules|xargs modinfo -F filename -k $kernel'
[root@localhost dracut]#


Version-Release number of selected component (if applicable):
dracut-004-4.fc12.noarch

How reproducible:
%100

Steps to Reproduce:
1. livecd-creator -c spin.ks
2. In spin.ks do dracut -H and make a host only initramfs.
3. 
  
Actual results:
Reports no modinfo on external, loaded, kernel modules
xargs: modinfo: killed by Signal 11
Expected results:
Not report noinfo and not die.

Additional info:
None at this time.
Comment 1 Jasper O'neal Hartline 2010-05-10 15:49:26 EDT
I will attach a screen shot also of the issue I notice it is more verbose in Virtual Box using the exact same -H flag to dracut, inside virtual box. We get a error 4 in libc-2.11.so and finally signal 11
Comment 2 Jasper O'neal Hartline 2010-05-10 15:50:25 EDT
Created attachment 412948 [details]
error 4 in libc-2.11.so while using dracut -H host only initramfs creation in VirtualBox results in Signal 11
Comment 3 Harald Hoyer 2010-05-11 06:18:54 EDT
(In reply to comment #0)
> Since we are buckling down to make livecd-creator once again maintained and bug
> fixed I would like you opinion on how we should handle this problem.
> The kernel livecd-creator will install won't always be the same as the host
> systems, and using the -H host only flag with external modules loaded seems to
> produce these messages. I can assume it would do the same creating a host only
> initramfs where modules are loaded that are not in the kernel tree.

modinfo should not segfault..
Comment 4 Jasper O'neal Hartline 2010-05-14 06:30:40 EDT
Attachment will be core dump of modinfo. Coming up.
Comment 5 Jasper O'neal Hartline 2010-05-14 06:34:11 EDT
Created attachment 414002 [details]
modinfo core dump

modinfo core dump from livecd-creator using a kickstart file where after all packages are installed, in the %post section we run: 
/sbin/dracut -H --force /boot/initramfs-$(rpm -q --qf "%{version}-%{release}.%{arch}" kernel).img $(rpm -q --qf "%{version}-%{release}.%{arch}" kernel)
Comment 6 Jon Masters 2010-08-10 22:37:28 EDT
Yea. Modinfo should not segfault. Sorry I missed this bug before.
Comment 7 Jasper O'neal Hartline 2010-08-10 23:19:06 EDT
In reply to Comment 6
What do you suppose it is from?
Comment 8 Bug Zapper 2010-11-03 11:22:08 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jon Masters 2010-11-16 04:56:44 EST
You know, I bet this was a similar bug to the VMWare ones. I wouldn't be surprised if they somehow break the strings in the modinfo sections. I suspect this will be fixed shortly in rawhide.

Note You need to log in before you can comment on or make changes to this bug.